Sat, 21 Sep 2019 13:12:45 UTC | login

Information for build libhif-0.2.0-6.el7.centos

ID1399
Package Namelibhif
Version0.2.0
Release6.el7.centos
Epoch
SummarySimple package library built on top of hawkey and librepo
DescriptionThis library provides a simple interface to hawkey and librepo and is currently used by PackageKit and rpm-ostree.
Built bycolinwalters
State complete
StartedWed, 08 Jul 2015 13:34:10 UTC
CompletedWed, 08 Jul 2015 13:37:31 UTC
Taskbuild (atomic7-el7.centos, libhif-0.2.0-6.el7.centos.src.rpm)
Tags
atomic7-testing
RPMs
src
libhif-0.2.0-6.el7.centos.src.rpm (info) (download)
x86_64 (build logs)
libhif-0.2.0-6.el7.centos.x86_64.rpm (info) (download)
libhif-devel-0.2.0-6.el7.centos.x86_64.rpm (info) (download)
libhif-debuginfo-0.2.0-6.el7.centos.x86_64.rpm (info) (download)
Changelog * Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6 - Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild * Mon Jun 15 2015 Colin Walters <walters@redhat.com> - 0.2.0-5 - Backport patch to add set_required() API so that rpm-ostree can use it, which will help avoid it breaking for use in Bodhi which points to file:// URIs with old repodata. * Fri May 29 2015 Kalev Lember <kalevlember@gmail.com> 0.2.0-4 - Switch to using dnf's yumdb, instead of yum's yumdb * Wed May 13 2015 Kalev Lember <kalevlember@gmail.com> 0.2.0-3 - context: Fix rpmdb file monitor with / installs (#1221158) * Wed Apr 15 2015 Kalev Lember <kalevlember@gmail.com> 0.2.0-2 - Remove obsoleted packages when committing transaction (#1211991) * Wed Apr 08 2015 Richard Hughes <richard@hughsie.com> 0.2.0-1 - Update to new upstream version - Add new API required for ostree * Sat Mar 28 2015 Kalev Lember <kalevlember@gmail.com> - 0.1.8-7 - Fix broken -devel package requires * Mon Mar 16 2015 Than Ngo <than@redhat.com> - 0.1.8-6 - bump release and rebuild so that koji-shadow can rebuild it against new gcc on secondary arch * Fri Feb 06 2015 Richard Hughes <richard@hughsie.com> 0.1.8-5 - Adapt to the new hawkey API. * Tue Feb 03 2015 Richard Hughes <richard@hughsie.com> 0.1.8-4 - Do not crash when file:///tmp exists, but file:///tmp/repodata does not * Tue Feb 03 2015 Richard Hughes <richard@hughsie.com> 0.1.8-3 - Do not add the source to the sack if it does not exist, which fixes a crash for repo files with things like baseurl=file:///notgoingtoexist - Resolves: #1135740 * Tue Feb 03 2015 Richard Hughes <richard@hughsie.com> 0.1.8-2 - Ensure the mirror list is set before trying to download packages - This works around a librepo behaviour change in the latest update - Resolves: #1188600 * Mon Jan 19 2015 Richard Hughes <richard@hughsie.com> 0.1.8-1 - Update to new upstream version - Do not attempt to read from a closed file descriptor - Do not use hif_context_get_transaction() from multiple threads - Ensure HifContext can be finalised to prevent rpmdb index corruption - Resolves: #1183010 * Thu Jan 15 2015 Richard Hughes <richard@hughsie.com> 0.1.7-3 - Do not download the mirrorlists when checking for updates - Resolves: #1181501 * Wed Jan 14 2015 Richard Hughes <richard@hughsie.com> 0.1.7-2 - Fix auto-importing of GPG keys during installing - Resolves: #1182090 and #1182156 * Fri Dec 19 2014 Richard Hughes <richard@hughsie.com> 0.1.7-1 - Update to new upstream version - Add the concept of metadata-only software sources - Correctly update sources with baseurls ending with a slash - Don't unref the HifSource when invalidating as this is not threadsafe - Improve handling of local metadata - Support appstream and appstream-icons metadata types * Wed Nov 26 2014 Richard Hughes <richard@hughsie.com> 0.1.6-2 - Do not crash when trying to parse pathological files like bumblebee.repo - Resolves: #1164330 * Tue Nov 11 2014 Richard Hughes <richard@hughsie.com> 0.1.6-1 - Update to new upstream version - Add support for package reinstallation and downgrade - Copy the vendor cache if present - Ensure created directories are world-readable - Support local repositories * Mon Sep 22 2014 Richard Hughes <richard@hughsie.com> 0.1.5-1 - Update to new upstream version - Add all native architectures for ARM and i386 - Check for libQtGui rather than libkde* to detect GUI apps * Fri Sep 12 2014 Richard Hughes <richard@hughsie.com> 0.1.4-1 - Update to new upstream version - Allow setting the default lock directory - Ensure all the required directories exist when setting up the context * Mon Sep 01 2014 Richard Hughes <richard@hughsie.com> 0.1.3-1 - Update to new upstream version - Add an error path for when the sources are not valid - Do not call hif_context_setup_sack() automatically - Fix a logic error to fix refreshing with HIF_SOURCE_UPDATE_FLAG_FORCE * Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5 - Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild * Mon Jul 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.2-4 - Rebuilt for hawkey soname bump * Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.2-3 - Rebuilt for gobject-introspection 1.41.4 * Sat Jul 19 2014 Kalev Lember <kalevlember@gmail.com> 0.1.2-2 - Fix a PK crash with locally mounted iso media (#1114207) * Thu Jul 17 2014 Richard Hughes <richard@hughsie.com> 0.1.2-1 - Update to new upstream version - Add HifContext accessor in -private for HifState - Add name of failing repository - Create an initial sack in HifContext - Error if we can't find any package matching provided name - Fix a mixup of HifStateAction and HifPackageInfo - Improve rpm callback handling for packages in the cleanup state - Only set librepo option if value is set - Respect install root for rpmdb Packages monitor * Mon Jun 23 2014 Richard Hughes <richard@hughsie.com> 0.1.1-1 - Update to new upstream version - Fix a potential crash when removing software - Only add system repository if it exists - Pass install root to hawkey * Tue Jun 10 2014 Richard Hughes <richard@hughsie.com> 0.1.0-1 - Initial version for Fedora package review